Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.deployment
Class EarDeployableFile

    java.lang.Object
      org.apache.cactus.integration.ant.deployment.AbstractDeployableFile
          org.apache.cactus.integration.ant.deployment.EarDeployableFile

All Implemented Interfaces:
  java.lang.Cloneable, DeployableFile

public class EarDeployableFile
extends AbstractDeployableFile
implements java.lang.Cloneable

Represents an EAR file to deploy in a container.

Since:
  Cactus 1.5
Version:
  $Id: EarDeployableFile.java 239003 2004-05-31 20:05:27Z vmassol $

Constructor Summary
`EarDeployableFile()`

Method Summary
`boolean` | `isEar()` Returns whether the deployable file is an enterprise application archive (EAR).
`boolean` | `isWar()` Returns whether the deployable file is a web-app archive (WAR).

Methods inherited from class org.apache.cactus.integration.ant.deployment.AbstractDeployableFile
`clone, getFile, getFilterRedirectorMapping, getJspRedirectorMapping, getServletRedirectorMapping, getTestContext, getWarArchive, setFile, setFilterRedirectorMapping, setJspRedirectorMapping, setServletRedirectorMapping, setTestContext, setWarArchive`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EarDeployableFile

    public EarDeployableFile()

Method Detail

### isWar

    public final boolean isWar()

  Description copied from interface: `DeployableFile`
  Returns whether the deployable file is a web-app archive (WAR).

  Specified by:
    `isWar` in interface `DeployableFile`
  Returns:
    `true` if the deployable file is a WAR
  See Also:
    `DeployableFile.isWar()`

### isEar

    public final boolean isEar()

  Description copied from interface: `DeployableFile`
  Returns whether the deployable file is an enterprise application archive (EAR).

  Specified by:
    `isEar` in interface `DeployableFile`
  Returns:
    `true` if the deployable file is a EAR
  See Also:
    `DeployableFile.isEar()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.